Total Access Docs
Openapi

List apps for admin review

Admin-only endpoint. Returns pending review apps or all apps. Use `filter=pending` for pending apps, or `app_id` to get review history for a specific app.

GET
/api/v1/oauth/admin/review

Admin-only endpoint. Returns pending review apps or all apps. Use filter=pending for pending apps, or app_id to get review history for a specific app.

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for REST API endpoints (user-facing apps).

Authorization: Bearer <jwt_access_token>

Tokens expire after 15 minutes. Use the refresh token to obtain a new one.

In: header

Query Parameters

filter?string

Value in

  • "pending"
  • "all"
app_id?string

Response Body

application/json

curl -X GET "https://example.com/api/v1/oauth/admin/review"
Empty
{  "success": false,  "error": {    "code": "SCOPE_REQUIRED",    "message": "API key lacks work_items:read scope",    "request_id": "req_abc123",    "documentation_url": "https://dev-developer.totalaccess.co.za/docs/api-reference/errors#scope_required"  }}